Subject: bug#27357: 26.0.50; Emacs starts fullscreen in Ubuntu 17.04

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Jun 2017 18:38:48 +0200

martin rudalics <[email-masked]> writes:

>> In 16.10, things worked as normal, but in Ubuntu 17.04 Emacs starts in
>> fullscreen mode.  That is, emacs -Q says:
>>
>> (frame-parameter nil 'fullscreen)
>> maximized
>
> Does this match the state of the window manager maximized button?  What
> happens when you click it?

The window manager is Unity, and there's no button as such.  But there
is an "unmaximize" menu option, which works as it's supposed to.

>> If I say "emacs -geometry 20x20 -Q", then Emacs isn't fullscreen, but
>> instead starts with a frame that is approximately 84 characters by 46
>> characters.
>>
>> This is on a HiDPI screen:
>>
>> larsi@mouse:~$ dconf read /com/ubuntu/user-interface/scale-factor
>> {'eDP1': 11, 'eDP-1': 12}
>
> Can you try without scaling?

I don't know how to alter it.

>> I tried grepping through the Emacs source code to find out what sets the
>> `maximized' value, and it's perhaps the get_current_wm_state thing?  I'm
>> not sure.
>
> It should be.  Can you get a backtrace from there?

I'll try later.

>> I also note that Emacs has a gaggle of options to switch fullscreen mode
>> on, but apparently none to switch it off?
>
> (set-frame-parameter nil 'fullscreen nil)
>
> or ‘toggle-frame-maximized’.

I meant command line options.  There's --maximized and --fullwidth and
--fullscreen and --fullheight, but no "no, I don't want anything maxed".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no